"use strict";
this.name = "StationDockControl_Conditions";
this.author = "phkb";
this.copyright = "2015 phkb";
this.description = "Condition script for determining whether the SDFC Hack Chip can be purchased";
this.license = "CC BY-NC-SA 3.0";

this._includeRoles = ["rockhermit", "rockhermit-chaotic", "rockhermit-pirate", "anarchies_salvage_gang", "anarchies_hacker_outpost"];

//-------------------------------------------------------------------------------------------------------------
this.allowAwardEquipment = function (equipment, ship, context) {

	// always return true for scripted install
	if (context === "scripted") return true;

	if (context != "purchase") return false;
	// check the techlevel of the system
	if (system.info.techlevel < 8) return false;
	// check the government type: all anarchies, most feudals, some multi-govs.
	if ((2 - system.info.government) / 2 < system.scrambledPseudoRandomNumber(system.ID)) return false;

	var p = player.ship;
	var stn = p.dockedStation;
	var found = false;

	// check the station type
	for (var i = 0; i < this._includeRoles.length; i++) {
		if (stn.hasRole(this._includeRoles[i])) found = true;
	}
	// if we get here, it's ok to buy
	return found;
}